Os x mavericks update breaks Command Line Tools and sqlite3.h

Cannot install rails after yesterdays mavericks update 🙁

Gem::Ext::BuildError: ERROR: Failed to build gem native extension.

/Users/devel/.rvm/rubies/ruby-2.1.0/bin/ruby -r ./siteconf20140920-1488-n58p43.rb extconf.rb
checking for sqlite3.h… *** extconf.rb failed ***
Could not create Makefile due to some reason, probably lack of necessary
libraries and/or headers. Check the mkmf.log file for more details. You may
need configuration options.

Provided configuration options:
–with-opt-dir
–without-opt-dir
–with-opt-include
–without-opt-include=${opt-dir}/include
–with-opt-lib
–without-opt-lib=${opt-dir}/lib
–with-make-prog
–without-make-prog
–srcdir=.
–curdir
–ruby=/Users/devel/.rvm/rubies/ruby-2.1.0/bin/ruby
–with-sqlite3-dir
–without-sqlite3-dir
–with-sqlite3-include
–without-sqlite3-include=${sqlite3-dir}/include
–with-sqlite3-lib
–without-sqlite3-lib=${sqlite3-dir}/lib
–enable-local
–disable-local
/Users/devel/.rvm/rubies/ruby-2.1.0/lib/ruby/2.1.0/mkmf.rb:456:in try_do': The compiler failed to generate an executable file. (RuntimeError)
You have to install development tools first.
from /Users/devel/.rvm/rubies/ruby-2.1.0/lib/ruby/2.1.0/mkmf.rb:587:in
try_cpp’
from /Users/devel/.rvm/rubies/ruby-2.1.0/lib/ruby/2.1.0/mkmf.rb:1120:in block in find_header'
from /Users/devel/.rvm/rubies/ruby-2.1.0/lib/ruby/2.1.0/mkmf.rb:918:in
block in checking_for’
from /Users/devel/.rvm/rubies/ruby-2.1.0/lib/ruby/2.1.0/mkmf.rb:351:in block (2 levels) in postpone'
from /Users/devel/.rvm/rubies/ruby-2.1.0/lib/ruby/2.1.0/mkmf.rb:321:in
open’
from /Users/devel/.rvm/rubies/ruby-2.1.0/lib/ruby/2.1.0/mkmf.rb:351:in block in postpone'
from /Users/devel/.rvm/rubies/ruby-2.1.0/lib/ruby/2.1.0/mkmf.rb:321:in
open’
from /Users/devel/.rvm/rubies/ruby-2.1.0/lib/ruby/2.1.0/mkmf.rb:347:in postpone'
from /Users/devel/.rvm/rubies/ruby-2.1.0/lib/ruby/2.1.0/mkmf.rb:917:in
checking_for’
from /Users/devel/.rvm/rubies/ruby-2.1.0/lib/ruby/2.1.0/mkmf.rb:1119:in find_header'
from extconf.rb:35:in

extconf failed, exit code 1

Gem files will remain installed in /Users/devel/.rvm/gems/ruby-2.1.0@toptal/gems/sqlite3-1.3.9 for inspection.
Results logged to /Users/devel/.rvm/gems/ruby-2.1.0@toptal/extensions/x86_64-darwin-12/2.1.0-static/sqlite3-1.3.9/gem_make.out

An error occurred while installing sqlite3 (1.3.9), and Bundler cannot continue.
Make sure that gem install sqlite3 -v '1.3.9' succeeds before bundling.

Profile photo of tyatin

tyatin Author

Leave a Reply